develooper Front page | perl.perl5.porters | Postings from December 2007

Re: 5.11 (or 12) and strict

Thread Previous | Thread Next
From:
=?ISO-8859-1?Q?S=E9bastien_Aperghis-Tramoni?=
Date:
December 26, 2007 21:18
Subject:
Re: 5.11 (or 12) and strict
Message ID:
C6B610EB-864B-43E5-88C2-92DFADE2D4A4@free.fr
Steffen Mueller wrote:

> How about having "use 5.11.0;" (or 5.12.0) automatically import  
> strict along with the 5.10+5.11 feature set? Naturally, the -E  
> switch for one-liners should *not* do that.

+1

IIRC, Perl 6 will already have "strict" by default, and Moose also  
imports strict in your code (not that it's a reference, but it's a  
sign).

> * I'm having a bad day already. Come on make it worse! ;)

Sorry to disappoint you on this ;-)

-- 
S├ębastien Aperghis-Tramoni

Close the world, txEn eht nepO.



Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About